Generate or Refresh Token

Exchanges the authorization code for tokens or refreshes the existing access token depending on the provided grant_type. This token is used for accessing the /userinfo endpoint.
Supported grant types:

  • grant_type=authorization_code
  • code: the authorization code received on the redirect_uri
  • redirect_uri: must match the redirect_uri used in the authorize request
  • code_verifier: the original PKCE code verifier
  • grant_type=refresh_token
  • refresh_token: the valid refresh token issued by the server

In order to make test integration, please use https://test-api.tbcbank.ge

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Form Data

Token request parameters

enum
required

When creating new token grant_type must be 'urn:openid:params:grant-type:ciba' or 'authorization_code', depending from where process was started.

  • If authorization initiated from authorize endpoint then the grant_type must be 'authorization_code'.
  • If authorization initiated from bc authorization endpoint, then the grant_type must be 'urn:openid:params:grant-type:ciba'

For refresh token grant_type must be 'refresh_token'

Allowed:
string

The code verifier for the PKCE request, that the app originally generated before the authorization request.

string
required

The client will send the authorization code it obtained in the redirect

string

The redirect URL that was used in the initial authorization request

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json